"use server";
import getAllCountries from "~/server/actions/getAllCountries";
import CreateProducerForm from "./CreateProducerForm";

export default async function CreateProducer() {
  const allCountries = await getAllCountries();
  return (
    <div className="container flex w-full flex-col justify-center py-4">
      <h1 className="pt-4 text-2xl">Fill the form to create a new producer</h1>
      <CreateProducerForm allCountries={allCountries} />
    </div>
  );
}
