"use server";
import { eq } from "drizzle-orm";
import { db } from "../db";
import { producers } from "../db/schema";
import { revalidatePath } from "next/cache";

export default async function deleteProducer(id: string) {
  await db.delete(producers).where(eq(producers.id, id));
  revalidatePath("/");
}
