import WineList from "./_components/WineList";
import FilterStatus from "./_components/FilterState";
import CreateCountry from "./_components/admin/CreateCountry";
import AllCountries from "./_components/AllCountries";
import CreateRegion from "./_components/admin/CreateRegion";
import AllRegions from "./_components/AllRegions";
import CreateSubRegion from "./_components/admin/CreateSubRegion";
import AllSubRegions from "./_components/AllSubRegions";
import CreateProducer from "./_components/admin/CreateProducer";
import AllProducers from "./_components/allProducers";

export default function App() {
  return (
    <div className="container flex w-full flex-col justify-center">
      <FilterStatus />
      <WineList />
      <CreateCountry />
      <AllCountries />
      <CreateRegion />
      <AllRegions />
      <CreateSubRegion />
      <AllSubRegions />
      <CreateProducer />
      <AllProducers />
    </div>
  );
}
