"use server";
import { eq } from "drizzle-orm";
import { db } from "../db";
import { subRegions } from "../db/schema";
import { revalidatePath } from "next/cache";

export default async function deleteSubRegion(id: string) {
  await db.delete(subRegions).where(eq(subRegions.id, id));
  revalidatePath("/");
}
